<?php

/** @var \Laravel\Lumen\Routing\Router $router */

use App\Modules\Report\Booking\Domain\ReportBookingRepository;
use App\Modules\Report\Booking\Infrastructure\MysqlReportBookingRepository;

$app->bind(
  ReportBookingRepository::class,
  fn ($app) => $app->make(MysqlReportBookingRepository::class)
);

$router->get(
  "/report/booking/bySellerMonthly",
  [
    "uses" => "Report\\Booking\\ReportBookingBySellerMonthlyController@__invoke",
  ]
);
